---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_ProcessUpdatesMethod;'
    name:      PU - Process Updates Method
    index:     11
    abstract:  no
    inherits: '&IDC_Method;'
    customTagName: 'processUpdatesMethod'
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_PU;'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'PU - Process Updates Method'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Method__implements__Method;'
      customTagName: 'implementsMethodId'
    - instance: '&IDR_Process_Updates_Method__has__PUM_Process;'
      customTagName: 'hasPUMProcess'
      customTagNameCreatesInstanceOf: '&IDC_PUMProcess;'